MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027252Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2016-03-11 16:102017-09-29 16:24
Reporternbv 
Assigned Toapn 
PrioritynormalSeveritymajor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.2.0Fixed in Version[OCCT] 7.2.0 
Summary0027252: Implicit-implicit intersection (Cylinder-Plane) loses intersection curve
DescriptionSteps To Reproduce.

bopcurves-algorithm cannot inscribe the ellipse (as true intersection curve) to the source faces domain (cannot put any IntPatch_Points to the ellipse).
Steps To ReproduceTest cases for issue 0027252 and 0027221 have been created and pushed to the branch.

Some shapes for test case are in private access and cannot be attached here. Therefore, please contact me to get these shapes.

Please take source file from issue 0027221.

restore [locate_data_file bug27221.brep] a
explode a
mkplane f a_2
prism p f -25 0 0
explode a_1 f
explode p f
don a_1_7 p_3

bopcurves a_1_7 p_3 -2d
# has no 3d curves
# has no 3d points

mksurf s1 a_1_7
mksurf s2 p_3
intersect ii s1 s2
# One intersection curve - ellipse.
TagsNo tags attached.
Test case numberbugs modalg_6 bug27252_1, bug27252_2, bug27252_3, bug27252_4
Attached Filesdoc file icon Explanation.doc (50,688 bytes) 2016-03-16 12:05

- Relationships
child of 0027221closedbugmaster Community Regression vs. 6.7.0: bcut fails without notice 

-  Notes
(0051688)
nbv (developer)
2016-03-16 12:35

Dear Mikhail,

In the document "Explanation.doc" you will find three possible ways to solve this issue.

Could you please chose the best way for us?

The estimated times for every solution have been sent you via e-mail.
(0051712)
msv (developer)
2016-03-16 17:02
edited on: 2016-03-16 17:02

Dear nbv, please follow the solution 1. It seems to be the most simple and less risky.
So, after getting an intersection point between the restriction and the other surface precise it by means of Newton method to find the exact minimal distance solution.

(0052474)
git (administrator)
2016-04-07 16:43

Branch CR27252 has been created by nbv.

SHA-1: 2ea83bb5ef1cb8b8d738511f590c468a5e6dcbcf


Detailed log of new commits:

Author: nbv
Date: Mon Mar 14 12:06:36 2016 +0300

    0027252: Implicit-implicit intersection (Cylinder-Plane) loses intersection curve
    
    1. Earlier we could not put any IntPatch_Point to the intersection curve. The fix makes the algorithm of IntPatch_Points searching more precise. It is achieved by redetermination of earlier found vertices with help of minimization the distance between boundary of one intersection argument and another intersection argument (surface).
    
    2. Method Contap_ArcFunction::Surface() has been added.
    
    3. Method LastComputedPoint() has been added for IntPatch_ArcFunction and Contap_ArcFunction classes.
    
    4. Correction in FindMaxDistance() method (see IntTools_FaceFace.cxx file) according to pure Golden-ratio minimization algorithm. Earlier this function worked wrong with small searching intervals.
    
    Creation of test case for issues 0027221 an 0027252.
    Adjusting some test cases according to their new behavior.

Author: nbv
Date: Thu Apr 7 15:42:22 2016 +0300

    0027252: Implicit-implicit intersection (Cylinder-Plane) loses intersection curve
    
    Small code formatting.
(0052481)
nbv (developer)
2016-04-07 17:52

Dear Mikhail,

Please review CR27252 branch.
(0052483)
git (administrator)
2016-04-07 18:00

Branch CR27252 has been updated forcibly by nbv.

SHA-1: 77e49bd81d0901fcd3bb74df5ec67e2478e8df3b
(0052636)
git (administrator)
2016-04-12 17:44

Branch CR27252 has been updated forcibly by nbv.

SHA-1: 825235a0164e98d9d7d72d217acff89d592bc830
(0052638)
git (administrator)
2016-04-12 17:56

Branch CR27252 has been updated forcibly by nbv.

SHA-1: e2f92bd1d4ccf11ff0c206a92f703eb0bf3b1433
(0053609)
msv (developer)
2016-04-26 17:57

Please restrict search of solutions by math_BrentMinimum using the interval defined by neighboring points from TabSol if any.
(0053626)
git (administrator)
2016-04-27 10:32

Branch CR27252_1 has been created by nbv.

SHA-1: be9446a25f3d996cca589870d2edd00aea5d3375


Detailed log of new commits:

Author: nbv
Date: Mon Mar 14 12:06:36 2016 +0300

    0027252: Implicit-implicit intersection (Cylinder-Plane) loses intersection curve
    
    1. Earlier we could not put any IntPatch_Point to the intersection curve. The fix makes the algorithm of IntPatch_Points searching more precise. It is achieved by redetermination of earlier found vertices with help of minimization the distance between boundary of one intersection argument and another intersection argument (surface).
    
    2. Method Contap_ArcFunction::Surface() has been added.
    
    3. Method LastComputedPoint() has been added for IntPatch_ArcFunction and Contap_ArcFunction classes.
    
    4. Correction in FindMaxDistance() method (see IntTools_FaceFace.cxx file) according to pure Golden-ratio minimization algorithm. Earlier this function worked wrong with small searching intervals.
    
    Creation of test case for issues 0027221 an 0027252.
    Adjusting some test cases according to their new behavior.

Author: nbv
Date: Thu Apr 7 15:42:22 2016 +0300

    0027252: Implicit-implicit intersection (Cylinder-Plane) loses intersection curve
    
    Small code formatting.
(0053627)
nbv (developer)
2016-04-27 10:33

Dear Mikhail,

Please review CR27252_1 branch.
(0053628)
msv (developer)
2016-04-27 11:41

Reviewed.
(0053659)
apv (tester)
2016-04-28 10:17

Dear BugMaster,

Branch CR27252_1 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: be9446a25f3d996cca589870d2edd00aea5d3375

Number of compiler warnings:
occt component:
   Linux: 0 (0 on master)
   Windows: 0 (0 on master)
   MacOS: 0 (0 on master)
products component:
   Linux: 72
   Windows: 3
   MacOS: 1128

Regressions/Differences:
http://occt-tests/CR27252_1-master-OCCT/Debian70-64/summary.html [^]
http://occt-tests/CR27252_1-master-OCCT/Windows-64-VC10/summary.html [^]
boolean bcut_complex J2 (Linux only)
boolean bopsection D3 (Linux only)
boolean volumemaker F2
bugs modalg_5 bug24643
bugs moddata_2 bug569 (Linux only)
feat featprism R1 (Linux only
http://occt-tests/CR27252_1-master-Products/Debian70-64/summary.html [^]
http://occt-tests/CR27252_1-master-Products/Windows-64-VC10/summary.html [^]
parasolid doc_3 C3 (Linux only), D7 (Windows only), E3 (Windows only)

Testing cases:
bugs modalg_6 bug27252 - OK
http://occt-tests/CR27252_1-master-OCCT/Debian70-64/bugs/modalg_6/bug27252.html [^]
http://occt-tests/CR27252_1-master-OCCT/Windows-64-VC10/bugs/modalg_6/bug27252.html [^]

Testing on Linux:
Total MEMORY difference: 88646791 / 89023857 [-0.42%]
Total CPU difference: 19298.78999999996 / 19521.73000000019 [-1.14%]

Testing on Windows:
Total MEMORY difference: 55672196 / 55716808 [-0.08%]
Total CPU difference: 17794.34766559882 / 17772.117523098925 [+0.13%]
(0053660)
apv (tester)
2016-04-28 10:18

Dear nbv,

Branch CR27252_1 has been rejected due to:
- regressions/differences/improvements
(0059322)
apv (tester)
2016-10-28 14:25

Testing results are too old and will be deleted.
(0059945)
git (administrator)
2016-11-07 16:05

Branch CR27252_2 has been created by nbv.

SHA-1: 1954c1a511a0e74b225e94b1efed756c3388ccf9


Detailed log of new commits:

Author: nbv
Date: Thu Nov 3 16:01:34 2016 +0300

    Additional check has been added, if IntPatch_Point adjusted to the domain boundary is true intersection point.

Author: nbv
Date: Thu Apr 7 15:42:22 2016 +0300

    0027252: Implicit-implicit intersection (Cylinder-Plane) loses intersection curve
    
    Small code formatting.
    
    0027252: Implicit-implicit intersection (Cylinder-Plane) loses intersection curve
    
    1. Earlier we could not put any IntPatch_Point to the intersection curve. The fix makes the algorithm of IntPatch_Points searching more precise. It is achieved by redetermination of earlier found vertices with help of minimization the distance between boundary of one intersection argument and another intersection argument (surface).
    
    2. Method Contap_ArcFunction::Surface() has been added.
    
    3. Method LastComputedPoint() has been added for IntPatch_ArcFunction and Contap_ArcFunction classes.
    
    4. Correction in FindMaxDistance() method (see IntTools_FaceFace.cxx file) according to pure Golden-ratio minimization algorithm. Earlier this function worked wrong with small searching intervals.
    
    Creation of test case for issues 0027221 an 0027252.
    Adjusting some test cases according to their new behavior.
(0059946)
nbv (developer)
2016-11-07 16:08

Dear Mikhail,

Please review CR27252_2 branch.

Regressions are expected but we need full picture (result on different platforms).
(0060304)
msv (developer)
2016-11-14 14:56

Please consider verbal remarks.
(0060347)
git (administrator)
2016-11-15 13:16

Branch CR27252_3 has been created by nbv.

SHA-1: 5db643f828216a665c6752ee4760ecceff19ca38


Detailed log of new commits:

Author: nbv
Date: Thu Apr 7 15:42:22 2016 +0300

    0027252: Implicit-implicit intersection (Cylinder-Plane) loses intersection curve
    
    Small code formatting.
    
    0027252: Implicit-implicit intersection (Cylinder-Plane) loses intersection curve
    
    1. Earlier we could not put any IntPatch_Point to the intersection curve. The fix makes the algorithm of IntPatch_Points searching more precise. It is achieved by redetermination of earlier found vertices with help of minimization the distance between boundary of one intersection argument and another intersection argument (surface).
    
    2. Additional check has been added, if IntPatch_Point adjusted to the domain boundary is true intersection point.
    
    3. Method Contap_ArcFunction::Surface() has been added.
    
    4. Method LastComputedPoint() has been added for IntPatch_ArcFunction and Contap_ArcFunction classes.
    
    5. Correction in FindMaxDistance() method (see IntTools_FaceFace.cxx file) according to pure Golden-ratio minimization algorithm. Earlier this function worked wrong with small searching intervals.
    
    Creation of test case for issues 0027221 an 0027252.
    Adjusting some test cases according to their new behavior.
(0060348)
nbv (developer)
2016-11-15 13:17

Dear Mikhail,

Please review CR27252_3 branch. It has been rebased on the current master.
(0060375)
msv (developer)
2016-11-15 16:11

Reviewed.
(0060406)
apv (tester)
2016-11-16 10:51

Dear BugMaster,

Branch CR27252_3 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: 5db643f828216a665c6752ee4760ecceff19ca38

Number of compiler warnings:
occt component:
   Linux: 0 (0 on master)
   Windows: 0 (0 on master)
   MasOS: 0 (0 on master)
products component:
   Linux: 63
   Windows: 0
   MacOS: 1128

Regressions/Differences:
http://occt-tests/CR27252_3-master-OCCT/Debian70-64/summary.html [^]
http://occt-tests/CR27252_3-master-OCCT/Windows-64-VC10/summary.html [^]
boolean bopsection D3 (Linux only)
bugs modalg_6 bug27341_319, bug27341_320
feat featprism R1 (Linux only)
http://occt-tests/CR27252_3-master-Products/Debian70-64/summary.html [^]
http://occt-tests/CR27252_3-master-Products/Windows-64-VC10/summary.html [^]
parasolid doc_3 C3 (Linux only), D7 (Windows only)

Testing cases:
bugs modalg_6 bug27252 - OK
http://occt-tests/CR27252_3-master-OCCT/Debian70-64/bugs/modalg_6/bug27252.html [^]
http://occt-tests/CR27252_3-master-OCCT/Windows-64-VC10/bugs/modalg_6/bug27252.html [^]

Testing on Linux:
Total MEMORY difference: 91701666 / 91843054 [-0.15%]
Total CPU difference: 21591.91000000027 / 21461.29000000031 [+0.61%]

Testing on Windows:
Total MEMORY difference: 56580435 / 56597852 [-0.03%]
Total CPU difference: 19774.795960698473 / 19669.510885798518 [+0.54%]
(0060407)
apv (tester)
2016-11-16 10:53

Dear Nikolay,

Branch CR27252_3 has been rejected due to:
- regressions/differences/improvements
(0060842)
git (administrator)
2016-11-29 15:23

Branch CR27252_3 has been updated forcibly by nbv.

SHA-1: 97a04074532b440eab9b3d93cd459044ae5c4a56
(0061489)
git (administrator)
2016-12-08 13:45

Branch CR27252_4 has been created by nbv.

SHA-1: 6bab3f03002e7676608fc4831a60a4e364154491


Detailed log of new commits:

Author: nbv
Date: Thu Apr 7 15:42:22 2016 +0300

    0027252: Implicit-implicit intersection (Cylinder-Plane) loses intersection curve
    
    Small code formatting.
    
    0027252: Implicit-implicit intersection (Cylinder-Plane) loses intersection curve
    
    1. Earlier we could not put any IntPatch_Point to the intersection curve. The fix makes the algorithm of IntPatch_Points searching more precise. It is achieved by redetermination of earlier found vertices with help of minimization the distance between boundary of one intersection argument and another intersection argument (surface).
    
    2. Additional check has been added, if IntPatch_Point adjusted to the domain boundary is true intersection point.
    
    3. Method Contap_ArcFunction::Surface() has been added.
    
    4. Method LastComputedPoint() has been added for IntPatch_ArcFunction and Contap_ArcFunction classes.
    
    5. Correction in FindMaxDistance() method (see IntTools_FaceFace.cxx file) according to pure Golden-ratio minimization algorithm. Earlier this function worked wrong with small searching intervals.
    
    6. Insignificant correction in math_BrentMinimum.cxx file (alignments, in general).
    
    Creation of test case for issues 0027221 an 0027252.
    Adjusting some test cases according to their new behavior.
(0062474)
git (administrator)
2017-01-11 09:52

Branch CR27252_4 has been updated forcibly by nbv.

SHA-1: 68ae2c4e2bf055c3450bbd1203eb44ab0cb0d00e
(0062637)
git (administrator)
2017-01-16 17:14

Branch CR27252_4 has been updated forcibly by nbv.

SHA-1: d96ce148a2b6ff21e2795f3ce2b8af1d66b2a073
(0062691)
git (administrator)
2017-01-17 12:18

Branch CR27252_4 has been updated forcibly by nbv.

SHA-1: 27381884fcc5e7120aa051953a5f5a4aec1373fc
(0062696)
nbv (developer)
2017-01-17 12:56
edited on: 2017-01-17 13:03

Dear Mikhail,

Please review the current state of CR27252_4 branch (for OCCT) and CR27252prod branch for OCCT-products.

Several words about correction in test cases:

1. bugs modalg_6 bug27341*

Number of entities have been changed because the algorithm of these entities computation has been corrected (it is main idea of the fix). However, the picture has not been changed (in compare with the current MASTER). Therefore, bug #27341 is not reproduced.

2. parasolid doc_3 D7

New behavior are explained in the test cases bugs modalg_6 bug27252_2...4 (surfaces are taken from this test case). New intersection result is significantly better than on the current MASTER. Namely,

2.1. New result is single complete curve while we have several curves on the MASTER.

2.2. Dependence of the intersection result on the input tolerance has been significantly reduced in the fix (in compare with the current MASTER).

2.3. New intersection result is more precise than on the MASTER (checked with "xdistcs" DRAW-command).

(0062806)
msv (developer)
2017-01-19 17:25

tests/bugs/modalg_6/bug27252_2
tests/bugs/modalg_6/bug27252_3
tests/bugs/modalg_6/bug27252_4
- 43: extra word 'testgrid'

src/IntStart/IntStart_SearchOnBoundaries.gxx
- 88: Why do you copy TheFunction? The earlier version was better.

src/math/math_BrentMinimum.cxx
- 22: It is better to make the function SHFT inline.
(0062807)
msv (developer)
2017-01-19 17:27

Sorry, the 2nd comment is wrong, please ignore it.
(0062808)
git (administrator)
2017-01-19 17:48

Branch CR27252_4 has been updated by nbv.

SHA-1: 887ecf2513d0ac1f13ff868ebdc67806ae2a9211


Detailed log of new commits:

Author: nbv
Date: Thu Jan 19 17:48:00 2017 +0300

    Correction according to the last remarks.

(0062809)
nbv (developer)
2017-01-19 17:49

Dear Mikhail,

Please review the current state of CR27252_4 branch
(0062810)
git (administrator)
2017-01-19 17:54

Branch CR27252_4 has been updated forcibly by nbv.

SHA-1: 9b2e9f2540fad4a803271e8607d4a7e14ac0fa0f
(0062811)
git (administrator)
2017-01-19 18:01

Branch CR27252_4 has been updated forcibly by nbv.

SHA-1: addcfdeb89b5bed187d669b7f2e5c0d72acbe74e
(0062812)
msv (developer)
2017-01-19 18:03

Reviewed.
(0062865)
git (administrator)
2017-01-20 18:39

Branch CR27252_4 has been updated forcibly by apv.

SHA-1: fdbeed65cacaaa0e186bb464730d9eb0e4339435
(0062866)
apv (tester)
2017-01-20 18:40

Branch CR27252_4 has been rebased on the current master
(0062868)
apv (tester)
2017-01-20 18:41

Branch CR27252prod has been rebased on the current master
(0062944)
mkv (tester)
2017-01-24 15:23

Dear BugMaster,
Branch CR27252_4 from occt git-repository (and CR27252prod from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: fdbeed65cacaaa0e186bb464730d9eb0e4339435
SHA-1: 3af124474f227a5dd65ba0d25091c79c05a8aa5e

Number of compiler warnings:

occt component :
Linux: 0 (0 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

products component :
Linux: 63 (63 on master)
Windows: 0 (0 on master)
MacOS : 1139

Regressions/Differences/Improvements:
No regressions/differences

Testing cases:
http://occt-tests/CR27252_4-CR27252prod-OCCT/Debian70-64/bugs/modalg_6/bug27221.html [^]
http://occt-tests/CR27252_4-CR27252prod-OCCT/Windows-64-VC10/bugs/modalg_6/bug27221.html [^]
bugs modalg_6 bug27221: OK
http://occt-tests/CR27252_4-CR27252prod-OCCT/Debian70-64/bugs/modalg_6/bug27252_1.html [^]
http://occt-tests/CR27252_4-CR27252prod-OCCT/Windows-64-VC10/bugs/modalg_6/bug27252_1.html [^]
bugs modalg_6 bug27252_1: OK
http://occt-tests/CR27252_4-CR27252prod-OCCT/Debian70-64/bugs/modalg_6/bug27252_2.html [^]
http://occt-tests/CR27252_4-CR27252prod-OCCT/Windows-64-VC10/bugs/modalg_6/bug27252_2.html [^]
bugs modalg_6 bug27252_2: OK
http://occt-tests/CR27252_4-CR27252prod-OCCT/Debian70-64/bugs/modalg_6/bug27252_3.html [^]
http://occt-tests/CR27252_4-CR27252prod-OCCT/Windows-64-VC10/bugs/modalg_6/bug27252_3.html [^]
bugs modalg_6 bug27252_3: OK
http://occt-tests/CR27252_4-CR27252prod-OCCT/Debian70-64/bugs/modalg_6/bug27252_4.html [^]
http://occt-tests/CR27252_4-CR27252prod-OCCT/Windows-64-VC10/bugs/modalg_6/bug27252_4.html [^]
bugs modalg_6 bug27252_4: OK

Testing on Linux:
occt component :
Total MEMORY difference: 93236246 / 92055940 [+1.28%]
Total CPU difference: 21446.06000000027 / 21061.97000000015 [+1.82%]
products component :
Total MEMORY difference: 31263667 / 31311912 [-0.15%]
Total CPU difference: 5568.259999999978 / 5531.039999999989 [+0.67%]

Testing on Windows:
occt component :
Total MEMORY difference: 58326558 / 58324216 [+0.00%]
Total CPU difference: 19765.638701998607 / 19152.585972198493 [+3.20%]
products component :
Total MEMORY difference: 22558009 / 22520482 [+0.17%]
Total CPU difference: 5588.9230261999755 / 5374.920854399972 [+3.98%]

There are following differences in images found by testdiff.
http://occt-tests/CR27252_4-CR27252prod-OCCT/Debian70-64/diff-Debian70-64.html [^]
http://occt-tests/CR27252_4-CR27252prod-OCCT/Windows-64-VC10/diff-Windows-64-VC10-image.html [^]
IMAGE boolean bopfuse_complex H8: H8.png differs
IMAGE boolean boptuc_complex E3: E3.png differs
(0062945)
git (administrator)
2017-01-24 15:23

Branch CR27252_4 has been updated by mkv.

SHA-1: 21e721eb517cd7408feb64c19c3d8425d790fc0c


Detailed log of new commits:

Author: mkv
Date: Tue Jan 24 15:22:43 2017 +0300

    Small correction of shape names for issue CR27252

(0062946)
mkv (tester)
2017-01-24 15:24

Dear nbv,
Branch CR27252_4 has been rejected due to:
- differences in images
(0062961)
nbv (developer)
2017-01-24 16:52

These differences reflect problem with DBRep_IsoBuilder algorithm (see issue 0028385).

Indeed, we have some improvement here (section curve(s) is not unexpectedly split to several parts as it is done on the master):

On the FIX (test boolean bopfuse_complex H8):

explode result f
nbshapes result_6
# EDGE      : 6



On the MASTER:

explode result f
nbshapes result_2
# EDGE      : 10
(0062964)
nbv (developer)
2017-01-24 17:02

Dear Mikhail,

Please confirm the message 0027252:0062961. In my opinion, we shall apply new behavior of these test cases.
(0062966)
msv (developer)
2017-01-24 17:09

I agree.
(0062970)
mkv (tester)
2017-01-24 17:29

Dear BugMaster,
Branch CR27252_4 from occt git-repository and CR27252prod from products git-repository are TESTED.
(0063030)
git (administrator)
2017-01-25 16:15

Branch CR27252_4 has been updated by mkv.

SHA-1: 93d216c5350d8fab6410d4cade9e07faccfd479e


Detailed log of new commits:

Author: mkv
Date: Wed Jan 25 16:14:51 2017 +0300

    Test case for issue 28210

(0063036)
git (administrator)
2017-01-25 17:24

Branch CR27252_4 has been updated by mkv.

SHA-1: 5b0d758b40813ee7dc1c9dbdf032399311e3172d


Detailed log of new commits:

Author: mkv
Date: Wed Jan 25 17:24:06 2017 +0300

    Small correction of test case for issue 28210

(0063525)
git (administrator)
2017-02-08 11:31

Branch CR27252_2 has been deleted by kgv.

SHA-1: 1954c1a511a0e74b225e94b1efed756c3388ccf9
(0063526)
git (administrator)
2017-02-08 11:31

Branch CR27252_3 has been deleted by kgv.

SHA-1: 97a04074532b440eab9b3d93cd459044ae5c4a56
(0063585)
git (administrator)
2017-02-08 11:35

Branch CR27252_4 has been deleted by kgv.

SHA-1: 5b0d758b40813ee7dc1c9dbdf032399311e3172d
(0063638)
git (administrator)
2017-02-08 11:40

Branch CR27252 has been deleted by kgv.

SHA-1: e2f92bd1d4ccf11ff0c206a92f703eb0bf3b1433
(0063639)
git (administrator)
2017-02-08 11:40

Branch CR27252_1 has been deleted by kgv.

SHA-1: be9446a25f3d996cca589870d2edd00aea5d3375

- Related Changesets
occt: master f542b7bb
Timestamp: 2017-01-26 10:33:50
Author: nbv
Committer: apn
Details ] Diff ]
0027252: Implicit-implicit intersection (Cylinder-Plane) loses intersection curve

1. Earlier we could not put any IntPatch_Point to the intersection curve. The fix makes the algorithm of IntPatch_Points searching more precise. It is achieved by redetermination of earlier found vertices with help of minimization the distance between boundary of one intersection argument and another intersection argument (surface).
2. Additional check has been added, if IntPatch_Point adjusted to the domain boundary is true intersection point.
3. Method Contap_ArcFunction::Surface() has been added.
4. Method LastComputedPoint() has been added for IntPatch_ArcFunction and Contap_ArcFunction classes.
5. Correction in FindMaxDistance() method (see IntTools_FaceFace.cxx file) according to pure Golden-ratio minimization algorithm. Earlier this function worked wrong with small searching intervals.
6. Insignificant correction in math_BrentMinimum.cxx file (elimination of "defines").
Creation of test case for issues 0027221 an 0027252.
Adjusting some test cases according to their new behavior.
Correction according to the last remarks.
Small correction of shape names for issue CR27252
Test case for issue 28210
Small correction of test case for issue 28210
mod - src/Contap/Contap_ArcFunction.hxx Diff ] File ]
mod - src/Contap/Contap_ArcFunction.lxx Diff ] File ]
mod - src/IntPatch/IntPatch_ArcFunction.hxx Diff ] File ]
mod - src/IntPatch/IntPatch_ArcFunction.lxx Diff ] File ]
mod - src/IntStart/IntStart_SearchOnBoundaries.gxx Diff ] File ]
mod - src/IntTools/IntTools_FaceFace.cxx Diff ] File ]
mod - src/math/math_BrentMinimum.cxx Diff ] File ]
mod - tests/bugs/modalg_2/bug497_3 Diff ] File ]
mod - tests/bugs/modalg_2/bug497_5 Diff ] File ]
mod - tests/bugs/modalg_5/bug25292_36 Diff ] File ]
mod - tests/bugs/modalg_6/bug26841_1 Diff ] File ]
mod - tests/bugs/modalg_6/bug26841_2 Diff ] File ]
add - tests/bugs/modalg_6/bug27221 Diff ] File ]
add - tests/bugs/modalg_6/bug27252_1 Diff ] File ]
add - tests/bugs/modalg_6/bug27252_2 Diff ] File ]
add - tests/bugs/modalg_6/bug27252_3 Diff ] File ]
add - tests/bugs/modalg_6/bug27252_4 Diff ] File ]
mod - tests/bugs/modalg_6/bug27341_319 Diff ] File ]
mod - tests/bugs/modalg_6/bug27341_320 Diff ] File ]
add - tests/bugs/modalg_6/bug28210 Diff ] File ]
mod - tests/bugs/moddata_2/bug569 Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-03-11 16:10 nbv New Issue
2016-03-11 16:10 nbv Assigned To => msv
2016-03-11 16:10 nbv Relationship added child of 0027221
2016-03-11 16:10 nbv Severity minor => major
2016-03-11 16:20 nbv File Added: DRAWcommand.cpp
2016-03-11 16:21 nbv Steps to Reproduce Updated View Revisions
2016-03-15 11:54 nbv File Deleted: DRAWcommand.cpp
2016-03-15 12:06 nbv Summary ElCLib::Parameter(...) method works wrong with an ellipse => Implocit-implicit intersection (Cylinder-Plane) loses intersection curve
2016-03-15 12:06 nbv Description Updated View Revisions
2016-03-15 12:06 nbv Steps to Reproduce Updated View Revisions
2016-03-15 12:06 nbv Additional Information Updated View Revisions
2016-03-15 12:06 nbv Summary Implocit-implicit intersection (Cylinder-Plane) loses intersection curve => Implicit-implicit intersection (Cylinder-Plane) loses intersection curve
2016-03-15 14:09 msv Assigned To msv => nbv
2016-03-15 14:09 msv Status new => assigned
2016-03-15 14:10 bugmaster Project Community => Open CASCADE
2016-03-16 12:05 nbv File Added: Explanation.doc
2016-03-16 12:35 nbv Note Added: 0051688
2016-03-16 12:35 nbv Assigned To nbv => msv
2016-03-16 12:35 nbv Status assigned => feedback
2016-03-16 14:07 nbv Relationship added related to 0027269
2016-03-16 15:34 nbv Relationship deleted related to 0027269
2016-03-16 17:02 msv Note Added: 0051712
2016-03-16 17:02 msv Assigned To msv => nbv
2016-03-16 17:02 msv Status feedback => assigned
2016-03-16 17:02 msv Note Edited: 0051712 View Revisions
2016-04-07 16:43 git Note Added: 0052474
2016-04-07 17:52 nbv Note Added: 0052481
2016-04-07 17:52 nbv Assigned To nbv => msv
2016-04-07 17:52 nbv Status assigned => resolved
2016-04-07 17:52 nbv Steps to Reproduce Updated View Revisions
2016-04-07 18:00 git Note Added: 0052483
2016-04-12 17:44 git Note Added: 0052636
2016-04-12 17:56 git Note Added: 0052638
2016-04-26 17:57 msv Note Added: 0053609
2016-04-26 17:57 msv Assigned To msv => nbv
2016-04-26 17:57 msv Status resolved => assigned
2016-04-27 10:32 git Note Added: 0053626
2016-04-27 10:33 nbv Note Added: 0053627
2016-04-27 10:33 nbv Assigned To nbv => msv
2016-04-27 10:33 nbv Status assigned => resolved
2016-04-27 11:41 msv Note Added: 0053628
2016-04-27 11:41 msv Assigned To msv => bugmaster
2016-04-27 11:41 msv Status resolved => reviewed
2016-04-27 12:18 apv Assigned To bugmaster => apv
2016-04-28 08:29 apv Test case number => bugs modalg_6 bug27252
2016-04-28 10:17 apv Note Added: 0053659
2016-04-28 10:17 apv Assigned To apv => nbv
2016-04-28 10:17 apv Status reviewed => assigned
2016-04-28 10:18 apv Note Added: 0053660
2016-10-28 14:25 apv Note Added: 0059322
2016-11-07 16:05 git Note Added: 0059945
2016-11-07 16:08 nbv Note Added: 0059946
2016-11-07 16:08 nbv Assigned To nbv => msv
2016-11-07 16:08 nbv Status assigned => resolved
2016-11-14 14:56 msv Note Added: 0060304
2016-11-14 14:56 msv Assigned To msv => nbv
2016-11-14 14:56 msv Status resolved => assigned
2016-11-15 13:16 git Note Added: 0060347
2016-11-15 13:17 nbv Note Added: 0060348
2016-11-15 13:17 nbv Assigned To nbv => msv
2016-11-15 13:17 nbv Status assigned => resolved
2016-11-15 16:11 msv Note Added: 0060375
2016-11-15 16:11 msv Assigned To msv => bugmaster
2016-11-15 16:11 msv Status resolved => reviewed
2016-11-15 16:13 mkv Assigned To bugmaster => apv
2016-11-16 10:51 apv Note Added: 0060406
2016-11-16 10:51 apv Assigned To apv => nbv
2016-11-16 10:51 apv Status reviewed => assigned
2016-11-16 10:53 apv Note Added: 0060407
2016-11-18 15:55 msv Target Version 7.1.0 => 7.2.0
2016-11-29 15:23 git Note Added: 0060842
2016-12-08 13:45 git Note Added: 0061489
2016-12-14 11:29 msv Relationship added related to 0028210
2017-01-11 09:52 git Note Added: 0062474
2017-01-16 17:14 git Note Added: 0062637
2017-01-17 12:18 git Note Added: 0062691
2017-01-17 12:56 nbv Note Added: 0062696
2017-01-17 12:59 nbv Assigned To nbv => msv
2017-01-17 12:59 nbv Status assigned => resolved
2017-01-17 12:59 nbv Steps to Reproduce Updated View Revisions
2017-01-17 13:02 nbv Note Edited: 0062696 View Revisions
2017-01-17 13:03 nbv Note Edited: 0062696 View Revisions
2017-01-19 17:25 msv Note Added: 0062806
2017-01-19 17:25 msv Assigned To msv => nbv
2017-01-19 17:25 msv Status resolved => assigned
2017-01-19 17:27 msv Note Added: 0062807
2017-01-19 17:48 git Note Added: 0062808
2017-01-19 17:49 nbv Note Added: 0062809
2017-01-19 17:49 nbv Assigned To nbv => msv
2017-01-19 17:49 nbv Status assigned => resolved
2017-01-19 17:54 git Note Added: 0062810
2017-01-19 18:01 git Note Added: 0062811
2017-01-19 18:03 msv Note Added: 0062812
2017-01-19 18:03 msv Assigned To msv => bugmaster
2017-01-19 18:03 msv Status resolved => reviewed
2017-01-20 18:39 git Note Added: 0062865
2017-01-20 18:40 apv Note Added: 0062866
2017-01-20 18:41 apv Note Added: 0062868
2017-01-20 18:44 apv Test case number bugs modalg_6 bug27252 => bugs modalg_6 bug27252_1, bug27252_2, bug27252_3, bug27252_4
2017-01-20 18:44 apv Assigned To bugmaster => apv
2017-01-23 12:55 apv Assigned To apv => mkv
2017-01-24 15:23 mkv Note Added: 0062944
2017-01-24 15:23 git Note Added: 0062945
2017-01-24 15:24 mkv Note Added: 0062946
2017-01-24 15:24 mkv Assigned To mkv => nbv
2017-01-24 15:24 mkv Status reviewed => assigned
2017-01-24 16:52 nbv Note Added: 0062961
2017-01-24 17:02 nbv Note Added: 0062964
2017-01-24 17:02 nbv Assigned To nbv => msv
2017-01-24 17:02 nbv Status assigned => resolved
2017-01-24 17:09 msv Note Added: 0062966
2017-01-24 17:09 msv Assigned To msv => bugmaster
2017-01-24 17:09 msv Status resolved => reviewed
2017-01-24 17:29 mkv Note Added: 0062970
2017-01-24 17:29 mkv Status reviewed => tested
2017-01-25 16:15 git Note Added: 0063030
2017-01-25 17:24 git Note Added: 0063036
2017-01-27 16:15 apn Changeset attached => occt master f542b7bb
2017-01-27 16:15 apn Assigned To bugmaster => apn
2017-01-27 16:15 apn Status tested => verified
2017-01-27 16:15 apn Resolution open => fixed
2017-02-08 11:31 git Note Added: 0063525
2017-02-08 11:31 git Note Added: 0063526
2017-02-08 11:35 git Note Added: 0063585
2017-02-08 11:40 git Note Added: 0063638
2017-02-08 11:40 git Note Added: 0063639
2017-09-29 16:21 user533 Fixed in Version => 7.2.0
2017-09-29 16:24 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker